Providers
Test Provider
Test the connection for an AI provider
Test the connection for an AI provider
X-API-Key<token>
Use X-API-Key: .
In: header
Path Parameters
provider*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/providers/string/test"{ "success": true}{ "cause": { "code": "api/invalid-json", "detail": "string" }, "message": "The request body is not valid JSON"}{ "cause": { "code": "auth/jwt-invalid", "detail": "malformed" }, "message": "Token verification failed"}{ "cause": { "code": "api/no-active-team", "detail": "You must have an active team. Please select a team to continue." }, "message": "No active team"}{ "cause": { "code": "api/unsupported-media-type", "detail": "GET requests cannot have a content type header" }, "message": "Unsupported Media Type"}